> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit an email template



## OpenAPI

````yaml put /admin/auto_emails/template
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/auto_emails/template:
    put:
      tags:
        - Auto Emails
      summary: Edit an email template
      operationId: 9e4aba2dcc6b61f4f39f71a93c6b91d6
      requestBody:
        description: Data needed to edit an email template
        required: true
        content:
          application/json:
            schema:
              properties:
                emailset_id:
                  description: The id of the email set
                  type: integer
                trigger:
                  description: The trigger for the email
                  type: string
                client_id:
                  description: The id of the client
                  type: integer
                subject:
                  description: The subject of the email
                  type: string
                message:
                  description: The message of the email
                  type: string
                to:
                  description: The recipient of the email
                  type: string
                disabled:
                  description: Whether the email is disabled
                  type: boolean
                no_email:
                  description: Whether to send the email
                  type: boolean
                id:
                  description: The id of the email template
                  type: integer
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Success message
                    type: string
                type: object
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Error message
                    type: string
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````